import numpy as np
import rclpy
from rclpy.node import Node
from sensor_msgs.msg import LaserScan
import geometry_msgs.msg as gm


class TF2PublisherNode(Node):

    def __init__(self):
        super().__init__('nanhandler')
        
        self.create_subscription(LaserScan, "/scan", self.callback, 1)
        self.pub = self.create_publisher(LaserScan, "/scan_no_nan", 1)
    def callback(self, msg):
        print(msg.ranges[0])
        
        msg.ranges[0] = float("inf")
        msg.intensities[0] = 0.0

        msg.ranges.append(float("inf"))
        msg.intensities.append(0.0)
        # ranges = np.array(msg.ranges)
        # mask_inf_dist = np.isinf(ranges)
        # print(np.array(msg.intensities)[mask_inf_dist])
        
        self.pub.publish(msg)



def main(args=None):
    rclpy.init(args=args)

    tf2_publisher = TF2PublisherNode()
    rclpy.spin(tf2_publisher)

    tf2_publisher.destroy_node()
    rclpy.shutdown()


if __name__ == '__main__':
    main()